import { SvgPath } from "./svg-path";
/**
 * Round all the coordinates in a path to the number of places given.
 * @param path The input path
 * @param places The number of decimal places to round to
 * @returns A copy of the path with the coordinates rounded
 */
export declare function round(path: SvgPath, places: number): SvgPath;
/**
 * Translate a given path horizontally by `dx` and vertically by `dy`.
 * @param path The input path.
 * @param dx The amount to move the path along the X axis
 * @param dy The amount to move the path along the Y axis
 * @returns A copy of the path translated by (`dx`, `dy`)
 */
export declare function translate(path: SvgPath, dx: number, dy: number): SvgPath;
export declare function scale(p: SvgPath, factor: number): SvgPath;
export declare function rotate(p: SvgPath, dtheta: number): SvgPath;
declare const Transform: {
    round: typeof round;
    translate: typeof translate;
    scale: typeof scale;
    rotate: typeof rotate;
};
export default Transform;
