export declare enum CommandOperator {
    Move = "M",
    Line = "L",
    Horizontal = "H",
    Vertical = "V",
    Cubic = "C",
    SmoothCubic = "S",
    Quadratic = "Q",
    SmoothQuadratic = "T",
    Arc = "A",
    Close = "Z"
}
export type PathCommand = {
    isAbsolute: boolean;
    operator: CommandOperator;
    parameters: number[];
};
export type SvgPath = PathCommand[];
export declare function toString(path: SvgPath): string;
export declare function parse(path: string): SvgPath;
declare const Path: {
    toString: typeof toString;
    parse: typeof parse;
};
export default Path;
